# frozen_string_literal: true

require_relative '../localizationlinter'

linter = LocalizationLinter.new(
  ARGV[0],
  ARGV[1],
  ARGV[2],
  ARGV[3],
  ARGV[4],
  ARGV[5],
  ARGV[6]
)
message = linter.find_differences.map do |difference|
  "#{difference[:filename]}:#{difference[:line]} #{difference[:message]}"
end
if message.empty?
  puts 'Localization Linter ran with success'
else
  puts "Localization Linter errors:\n#{message.join("\n")}"
end
